mod imp;

use glib::Object;
use gtk::{gio, glib};

glib::wrapper! {
    pub struct LabledSwitch(ObjectSubclass<imp::LabledSwitch>)
        @extends gtk::Widget,
        @implements gio::ActionGroup, gio::ActionMap, gtk::Accessible, gtk::Buildable,
                    gtk::ConstraintTarget, gtk::Native, gtk::Root, gtk::ShortcutManager;
}

impl LabledSwitch {
    pub fn new(label: &String) -> Self {
        Object::builder().property("label_text", label).build()
    }
}
